<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__glsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_glsc_config_t</compoundname>
    <includes local="no">cy_ble_gls.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__glsc__config__t_1aefc98d4c29c8cab7e3558abe8b810687" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__glsc__t">cy_stc_ble_glsc_t</ref> *</type>
        <definition>cy_stc_ble_glsc_t* cy_stc_ble_glsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="135" />
      </memberdef>
      <memberdef id="structcy__stc__ble__glsc__config__t_1af9dfe45f17517a069ec4e733df2c1b09" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_glsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="138" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="772">
        <label>cy_stc_ble_glsc_t</label>
        <link refid="structcy__stc__ble__glsc__t" />
        <childnode refid="773" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="773">
        <label>cy_stc_ble_glsc_char_t</label>
        <link refid="structcy__stc__ble__glsc__char__t" />
      </node>
      <node id="771">
        <label>cy_stc_ble_glsc_config_t</label>
        <link refid="structcy__stc__ble__glsc__config__t" />
        <childnode refid="772" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="140" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="133" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__glsc__config__t_1aefc98d4c29c8cab7e3558abe8b810687" virt="non-virtual"><scope>cy_stc_ble_glsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__glsc__config__t_1af9dfe45f17517a069ec4e733df2c1b09" virt="non-virtual"><scope>cy_stc_ble_glsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>